Toolboxes
List toolbox versions
Returns the available versions for the specified toolbox.
Paramètres de chemin d’accès
name
string
obligatoire
The name of the toolbox to list versions for.
Paramètres de la requête
limit
integer
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
order
enum
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.
after
string
A cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.
before
string
A cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
Corps
data
ToolboxVersionObject[]
obligatoire
The requested list of items.
first_id
string
The first ID represented in this list.
last_id
string
The last ID represented in this list.
has_more
boolean
obligatoire
A value indicating whether there are additional values available not captured in this list.
Requête
GET /toolboxes/{name}/versions HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json